> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/zh/exoclick-gong-gong-api/api-manual-errors.md).

# 错误

所有错误都将返回下表中最具体、最合适的 HTTP 响应码：

## 返回码

| 代码  | 错误       | 描述                                    |
| --- | -------- | ------------------------------------- |
| 400 | 错误请求     | 从客户端收到的请求格式有误。这是 API 提供的最通用响应         |
| 401 | 未授权      | 您没有授权，无法访问所请求的资源                      |
| 403 | 禁止访问     | 您没有访问所请求资源的权限                         |
| 404 | 未找到      | 找不到所请求的资源。它可能会在稍后可用                   |
| 405 | 方法不允许    | 所请求的资源使用了不受支持的 HTTP 方法                |
| 406 | 不可接受     | 客户端请求的 Accept 或 Accept-Encoding 类型不可用 |
| 409 | 冲突       | 由于与现有资源发生冲突，无法完成请求                    |
| 410 | 已消失      | 所请求的资源不再可用，并且将来也不会再可用                 |
| 411 | 需要内容长度   | 所请求的资源要求客户端提供 Content-Length          |
| 413 | 请求实体过大   | 客户端提供的请求体过大，资源拒绝处理                    |
| 415 | 不支持的媒体类型 | 客户端提供了错误的（或未提供）Content-Type           |
| 422 | 无法处理的实体  | 请求格式并无问题，媒体类型也可接受，但资源无法处理该请求          |
| 429 | 请求过多     | 已达到速率限制。更多信息请参见限流部分                   |
| 500 | 内部服务器错误  | 由于意外的内部服务器错误，服务器无法处理您的请求              |
| 501 | 未实现      | 所请求的资源尚未实现                            |
| 503 | 服务不可用    | 所请求的服务暂时不可用                           |

## 标准响应格式

所有错误都会有一个包含两个字段的标准响应体， `代码` 和 `消息`。还可以使用更多字段，但它们是可选的。

## 示例

这是错误返回体最简单的形式，客户端可以依赖于每个错误中都包含这些字段。

### 错误响应 - 示例 1（基础）

```json
{
  "code": 429,
  "message": "您已超过请求次数限制。请稍后再试"
}
```

下面的示例除了标准字段外，还包含与此特定请求相关的错误信息。

### 错误响应 - 示例 2（更复杂）

```json
{
  "code": 422,
  "message": "无法处理的实体",
  "cause": "验证失败",
  "errors": [
    {
      "resource": "Issue",
      "field": "title",
      "code": "missing_field"
    },
    ...
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/zh/exoclick-gong-gong-api/api-manual-errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
